<form fxLayout="column" [formGroup]="formUser" (ngSubmit)="persistenceUser()">
    <input formControlName="typeOperation" type="hidden">
    <input formControlName="userId" type="hidden">
    <input formControlName="authId" type="hidden">
    <div class="input-row">
        <h3>Usuarios</h3>
    </div>
    <div class="input-row" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="20px" fxLayoutGap.lt-md="0px">
        <mat-form-field fxFlex>
            <input matInput formControlName="email" type="email" placeholder="usuario@example.com" required>
            <mat-error *ngIf="errorHandling('email', 'required')">
                Por favor, introduzca el correo es un valor requerido
            </mat-error>
            <mat-error *ngIf="errorHandling('email', 'email')">
                Por favor, introduzca un correo con el formato correcto
            </mat-error>
        </mat-form-field>
        <mat-form-field fxFlex>
            <input matInput placeholder="Usuario" formControlName="username" required>
            <mat-error *ngIf="errorHandling('username', 'required')">
                Por favor, introduzca el usuario es un valor requerido
            </mat-error>
        </mat-form-field>
    </div>
    <div class="input-row" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="20px" fxLayoutGap.lt-md="0px">
        <mat-form-field fxFlex> 
            <input matInput type="password" placeholder="Password" formControlName="onePassword" required>
            <mat-error
                *ngIf="errorHandling('onePassword', 'required')">
                Por favor, introduzca la contraseña es valor requerido
            </mat-error>
            <mat-error
            *ngIf="errorHandling('onePassword', 'pattern')">
                La contraseña debera contener al menos una letra mayúscula y minúscula así como un
                número y caracter especial
            </mat-error>
            <mat-error
            *ngIf="errorHandling('onePassword', 'minlength')">
                La contraseña debe ser mayor a diez caracteres
            </mat-error>
        </mat-form-field>
        <mat-form-field fxFlex> 
            <input matInput type="password" placeholder="Password" formControlName="password" required>
            <mat-error
                *ngIf="errorHandling('password', 'required')">
                Por favor, introduzca la contraseña es valor requerido
            </mat-error>
            <mat-error
            *ngIf="errorHandling('password', 'pattern')">
                La contraseña debera contener al menos una letra mayúscula y minúscula así como un
                número y caracter especial
            </mat-error>
            <mat-error
            *ngIf="errorHandling('password', 'minlength')">
                La contraseña debe ser mayor a diez caracteres
            </mat-error>
            <mat-error
            *ngIf="errorHandling('password', 'passwordMismatch')">
            Las contraseñas debe ser iguales
            </mat-error>
        </mat-form-field>
    </div>
    <div class="input-row" *ngIf="dataType.typeOperation === 'Insert'">
        <mat-form-field>
            <mat-select formControlName="sex" placeholder="Sexo">
              <mat-option>Sexo</mat-option>
              <ng-container>
                <mat-option value="">Seleccione una opcion</mat-option>
                <mat-option value="M">Femenino</mat-option>
                <mat-option value="H">Masculino</mat-option>
              </ng-container>
            </mat-select>
          </mat-form-field>
    </div>
    <div class="input-row" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="20px" fxLayoutGap.lt-md="0px" fxLayoutAlign="end center">
        <button mat-button mat-dialog-close>Cancel</button>
        <button mat-button type="submit">Guardar</button>
    </div>
  </form>